Package org.eclipse.birt.chart.script.api.scale

# Interface IScale

All Known Subinterfaces:
  `ICategoryScale`, `ILinearScale`, `ILogarithmicScale`, `ITimeScale`

public interface IScale
Represents the Scale for chart scaling in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isAuto()`
Checks if Chart will be scaled automatically
`boolean`
`isCategory()`
Gets if scale is by category, meanwhile all scale attributes are invalid
`void`
`setAuto()`
Sets if Chart will be scaled automatically, i.e.
`void`
`setCategory(boolean category)`
Sets if scale is by category, meanwhile all scale attributes are invalid

## Method Details

### isAuto

boolean isAuto()
Checks if Chart will be scaled automatically

Returns:
  auto scale or not

### setAuto

void setAuto()
Sets if Chart will be scaled automatically, i.e. unset step size and number of steps

### isCategory

boolean isCategory()
Gets if scale is by category, meanwhile all scale attributes are invalid

Returns:
  by category or not

### setCategory

void setCategory(boolean category)
Sets if scale is by category, meanwhile all scale attributes are invalid

Parameters:
  `category` - category or not